Debian Bug report logs - #691509
python-zope.interface: Upgrade to zope.interface 4.0.5

version graph

Package: python-zope.interface; Maintainer for python-zope.interface is Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>; Source for python-zope.interface is src:zope.interface.

Reported by: Barry Warsaw <barry@python.org>

Date: Fri, 26 Oct 2012 16:12:01 UTC

Severity: wishlist

Found in version zope.interface/3.6.1-3

Fixed in version zope.interface/4.0.5-1

Done: Gediminas Paulauskas <menesis@pov.lt>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, barry@ubuntu.com, Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>:
Bug#691509; Package python-zope.interface. (Fri, 26 Oct 2012 16:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Barry Warsaw <barry@python.org>:
New Bug report received and forwarded. Copy sent to barry@ubuntu.com, Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>. (Fri, 26 Oct 2012 16:12:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Barry Warsaw <barry@python.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: python-zope.interface: Upgrade to zope.interface 4.0.1
Date: Fri, 26 Oct 2012 12:09:44 -0400
Package: python-zope.interface
Version: 3.6.1-3
Severity: wishlist

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Dear Maintainer,

wheezy/sid currently has zope.interface 3.6.1, but this is over two
years old.  One specific problem is that this version is not
compatible with Python 3.3 because of LP: #900906, which is fixed in
zope.interface 4.0.0.  The current latest version on PyPI is 4.0.1 so
it would be good to upgrade to that version.  There are a lot of
reverse dependencies though, so upgrading z.i could entail upgrading
other ZTK packages.  I have not yet done that analysis.


- -- System Information:
Debian Release: wheezy/sid
  APT prefers quantal-updates
  APT policy: (500, 'quantal-updates'), (500, 'quantal-security'), (500, 'quantal'), (100, 'quantal-backports')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.5.0-17-generic (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages python-zope.interface depends on:
ii  libc6                 2.15-0ubuntu20
ii  python                2.7.3-0ubuntu7
ii  python-pkg-resources  0.6.28-1ubuntu2
ii  python2.7             2.7.3-5ubuntu4

python-zope.interface recommends no packages.

python-zope.interface suggests no packages.

- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJQirXHAAoJEBJutWOnSwa/HToP/0kbMSTzRaD12igbBbtSjRdZ
XtScR2sR3Oq2D3bYZgotW4qhmm+B+l9uI7ZCGyc09XO1Z9oscN62gLMRXvJ9sDrG
e3heREOrRknfuueZuZi0+qqWfUszro1PB/8oEt7jT6L5SYglkNdlb6z1g8Qqmevj
X7mjqRIVSqmwk9ZCd4eqOOy9RqGqLEzC/h9ishYHPUFIi7ZkGus5Q6CVd2ou/wd4
JbF+IelYnG/yXTOSDADIpixujJkkmoHVPIPBAT50TOZmkG6vlpZGnPvEy0yDPe5F
OIs6MP7minzKIf7pcn85G4AhjxwAP0t7XS3Y3G7dtshGSo0KTLiiPyatVuWy0W3U
EO3nxFKLWbQJiyJ6yNhCZ1z1UtBEObplYXntfgtljoYhA8I00Jey4ctRgzY/Tb9q
+gwoiKN+WJ9UIeJBL/pl8IE6SAaJEFyjgTEkopMolzu9RL46UIUsTpNcixrXtuzw
JF4Z7EC4dRx2062lwuGBHh7O38XxhHpSvZlk9XQEVsWQvNn4eNopG1D+JgKQDGgN
wuXKaEW7icH1j5RlQqHETbYnT8LrGcxKmzWtlLjDvdgQ4j/HjzhmVfONxQ+3hfSN
GLlE7IjcnGVztvvgcbYdFdz9Ckt2pyZ+UlNRAtlJySSCOy+Rrp283yNKYN/JXA+E
cv/7ygjLa2h02jwP70R0
=2YKh
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>:
Bug#691509; Package python-zope.interface. (Fri, 26 Oct 2012 19:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Barry Warsaw <barry@python.org>:
Extra info received and forwarded to list. Copy sent to Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Fri, 26 Oct 2012 19:24:05 GMT) Full text and rfc822 format available.


Message #10 received at 691509@bugs.debian.org (full text, mbox):

From: Barry Warsaw <barry@python.org>
To: 691509@bugs.debian.org
Date: Fri, 26 Oct 2012 15:13:14 -0400
[Message part 1 (text/plain, inline)]
Tracking this in Ubuntu as LP: #1071845

https://bugs.launchpad.net/debian/+source/zope.interface/+bug/1071845
[signature.asc (application/pgp-signature, attachment)]

Changed Bug title to 'python-zope.interface: Upgrade to zope.interface 4.0.5' from 'python-zope.interface: Upgrade to zope.interface 4.0.1' Request was from Jérémy Bobbio <lunar@debian.org> to control@bugs.debian.org. (Fri, 26 Apr 2013 13:18:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from menesis-guest@users.alioth.debian.org to control@bugs.debian.org. (Fri, 24 May 2013 19:48:04 GMT) Full text and rfc822 format available.

Reply sent to Gediminas Paulauskas <menesis@pov.lt>:
You have taken responsibility. (Mon, 17 Jun 2013 06:36:06 GMT) Full text and rfc822 format available.

Notification sent to Barry Warsaw <barry@python.org>:
Bug acknowledged by developer. (Mon, 17 Jun 2013 06:36:06 GMT) Full text and rfc822 format available.

Message #19 received at 691509-close@bugs.debian.org (full text, mbox):

From: Gediminas Paulauskas <menesis@pov.lt>
To: 691509-close@bugs.debian.org
Subject: Bug#691509: fixed in zope.interface 4.0.5-1
Date: Mon, 17 Jun 2013 06:33:32 +0000
Source: zope.interface
Source-Version: 4.0.5-1

We believe that the bug you reported is fixed in the latest version of
zope.interface, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 691509@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Gediminas Paulauskas <menesis@pov.lt> (supplier of updated zope.interface package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 24 May 2013 22:23:43 +0300
Source: zope.interface
Binary: python-zope.interface python-zope.interface-dbg python3-zope.interface python3-zope.interface-dbg
Architecture: source amd64
Version: 4.0.5-1
Distribution: unstable
Urgency: low
Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
Changed-By: Gediminas Paulauskas <menesis@pov.lt>
Description: 
 python-zope.interface - Interfaces for Python
 python-zope.interface-dbg - Interfaces for Python (debug extension)
 python3-zope.interface - Interfaces for Python3
 python3-zope.interface-dbg - Interfaces for Python3 (debug extension)
Closes: 691509 692688
Changes: 
 zope.interface (4.0.5-1) unstable; urgency=low
 .
   * Team upload.
 .
   [ Gediminas Paulauskas ]
   * New upstream release. (Closes: #691509)
   * debian/control:
     - Add Build-Depends on dpkg-dev (>= 1.16.1~) for multiarch support
     - Bump Standards-Version to 3.9.4
     - Update supported Python versions
     - remove python3-zope.fixers from Build-Depends
     - enable autopkgtest (Closes: #692688)
   * debian/rules:
     - README.rst was renamed
   * debian/tests/control: add zope.event
   * debian/copyright: update to copyright-format 1.0
 .
   [ Matthias Klose ]
   * Allow cross-building the package (however dh_python[23] needs to
     get aware of cross builds).
 .
   [ Barry Warsaw ]
   * fix_segfault_py3_64bit_LP_675064.diff: Applied upstream, removed.
 .
   [ Arnaud Fontaine ]
   * debian/rules:
     - CHANGES.txt was renamed to CHANGES.rst.
Checksums-Sha1: 
 e0f67dee5bb480cc376d9afb90a059e699a71591 1786 zope.interface_4.0.5-1.dsc
 69064bd2d692566f28313ba4d96e799152d70572 135712 zope.interface_4.0.5.orig.tar.gz
 2e43b1f0a72943fad7822493da16d365c5bd112d 5609 zope.interface_4.0.5-1.debian.tar.gz
 2d6c815c80bdbe92109ccd2faf536cda3a24d3c9 103706 python-zope.interface_4.0.5-1_amd64.deb
 b55402fede2a023aea412d171f8b1f7f8c70081c 40998 python-zope.interface-dbg_4.0.5-1_amd64.deb
 9b2a6876ddbff590783d9cff179ad315b748599e 113174 python3-zope.interface_4.0.5-1_amd64.deb
 7c46774baf6af3dff0321933477c76ca829fb1e6 80354 python3-zope.interface-dbg_4.0.5-1_amd64.deb
Checksums-Sha256: 
 539ed157098fbce297b314ce5e066f33151c45309251b6da9c13c02a3eef9d54 1786 zope.interface_4.0.5-1.dsc
 43386e566fa65449a31152769cbc6d8a8a8171df891e6eff8ad5a50f1b2e312a 135712 zope.interface_4.0.5.orig.tar.gz
 eadb46aad2fc4247c84f08635ff60ad45cd969e34642aff176399959b8f46053 5609 zope.interface_4.0.5-1.debian.tar.gz
 a5a72f3da21808edccb8718fdc966020579109a0ae630cd38f868b67510a0df0 103706 python-zope.interface_4.0.5-1_amd64.deb
 d00af3c0b6498f5117408f05a5f86b43620a8d88b31a21caeace43f5d00e06e7 40998 python-zope.interface-dbg_4.0.5-1_amd64.deb
 aa07bb27efb642e48b2d2b4b1c30d8635be4a2eaa8367fbe999c926d4a6722eb 113174 python3-zope.interface_4.0.5-1_amd64.deb
 cfbffd99eb9ec83da0d1e6a70ad0d52d8e96b428ec3b64e9e28534cc9de29f95 80354 python3-zope.interface-dbg_4.0.5-1_amd64.deb
Files: 
 8573c5e45af779948b0e65afea4b9e47 1786 zope optional zope.interface_4.0.5-1.dsc
 55a2023ab3ac84fa11f77d38b5c4e9d7 135712 zope optional zope.interface_4.0.5.orig.tar.gz
 ece7aea2d0a56fc9352c224351698790 5609 zope optional zope.interface_4.0.5-1.debian.tar.gz
 3a53bf3eb1ce9aaae31ccc55f5815e48 103706 zope optional python-zope.interface_4.0.5-1_amd64.deb
 6e03f05f3ec6054db3ee27680995794a 40998 debug extra python-zope.interface-dbg_4.0.5-1_amd64.deb
 8d43db5cf92a2c13a499af06fafbc6c2 113174 zope optional python3-zope.interface_4.0.5-1_amd64.deb
 e9d293ceca269b4aa96c63da7b8e6a23 80354 debug extra python3-zope.interface-dbg_4.0.5-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlG+qHgACgkQvfKiIF42GdN6dwCeITKKl9yfRJhYz88dVFC1LcT9
j64AnizOrY5Mp74DC7wxfZ4bAxjCB/u8
=uBJv
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 25 Jul 2013 07:26:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 14:09:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.